/* 
    3D Engine

    2005 Jason Hunt
    justinsanemsu@hotmail.com

    file: texture.h
*/

#ifndef TEXTURE_H
#define TEXTURE_H

#include "types.h"

// texture data type
typedef struct texture_type
{
    color_type image;
    unsigned int size;
    unsigned int mask;
    unsigned char id[32];
};

void load_texture(char *filename, unsigned int index);

#endif

