/* 
    3D Engine

    2005 Jason Hunt
    justinsanemsu@hotmail.com

    file: types.h
*/

#ifndef TYPES_H
#define TYPES_H

typedef struct point3d 
{
    float x, y, z;
};

typedef struct point2d 
{
    float x, y;
};

typedef struct trig_type
{
    float cos_x, sin_x;
    float cos_y, sin_y;
    float cos_z, sin_z;
};

// interface to windows colors
typedef struct color_type
{
    unsigned char b, g, r, pad;
};


#endif

